Package org.opencv.core

## Class Rect2d

- java.lang.Object
- - org.opencv.core.Rect2d

-     public class Rect2d
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `height` |
    `double` | `width` |
    `double` | `x` |
    `double` | `y` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Rect2d()` |
    `Rect2d​(double[] vals)` |
    `Rect2d​(double x, double y, double width, double height)` |
    `Rect2d​(Point p1, Point p2)` |
    `Rect2d​(Point p, Size s)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `area()` |
    `Point` | `br()` |
    `Rect2d` | `clone()` |
    `boolean` | `contains​(Point p)` |
    `boolean` | `empty()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `void` | `set​(double[] vals)` |
    `Size` | `size()` |
    `Point` | `tl()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          public double x

    - #### y

          public double y

    - #### width

          public double width

    - #### height

          public double height

  - ### Constructor Detail

    - #### Rect2d

          public Rect2d​(double x,
                        double y,
                        double width,
                        double height)

    - #### Rect2d

          public Rect2d()

    - #### Rect2d

          public Rect2d​(Point p1,
                        Point p2)

    - #### Rect2d

          public Rect2d​(Point p,
                        Size s)

    - #### Rect2d

          public Rect2d​(double[] vals)

  - ### Method Detail

    - #### set

          public void set​(double[] vals)

    - #### clone

          public Rect2d clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### tl

          public Point tl()

    - #### br

          public Point br()

    - #### size

          public Size size()

    - #### area

          public double area()

    - #### empty

          public boolean empty()

    - #### contains

          public boolean contains​(Point p)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`